package handler

import (
	"github.com/mymmrac/telego"
)

type Type uint8

const (
	Noop Type = iota
	Message
	ChatMemberUpdated
	CallbackQuery
	InlineQuery
)

type Handler interface {
	Handle(update telego.Update) error
}
