package util

import (
	"github.com/mymmrac/telego"
	th "github.com/mymmrac/telego/telegohandler"
)

func MatchCommand(command string, msg *telego.Message) bool {
	return th.CommandEqual(command)(telego.Update{Message: msg})
}

func HasCommand(msg *telego.Message) bool {
	if msg == nil {
		return false
	}
	return th.CommandRegexp.MatchString(msg.Text)
}
